Cash flow statements
curl --request GET \
--url 'https://api.finvera.news/stocks/v1/fundamentals/cash-flow-statement?apikey='import requests
url = "https://api.finvera.news/stocks/v1/fundamentals/cash-flow-statement?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.finvera.news/stocks/v1/fundamentals/cash-flow-statement?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_url": "https://api.finvera.news/stocks/v1/fundamentals/cash-flow-statement?cursor=AAECAAFkAAEBB_ucng==",
"request_id": "7f36362260ad425f9083f652303a4b69",
"results": [
{
"capital_expenditures_cash": -67200000,
"cik": "0000866729",
"depreciation_amortization_expense": 111800000,
"dividends": -22100000,
"financing_cash_flow_continuing_ops": -7800000,
"financing_cash_flow_total": -7800000,
"fiscal_quarter": 1,
"fiscal_year": 2026,
"foreign_exchange_impact": 700000,
"investing_cash_flow_continuing_ops": -67000000,
"investing_cash_flow_total": -67000000,
"long_term_debt_transactions": 77700000,
"miscellaneous_financing_activities": -63200000,
"miscellaneous_investing_activities": 100000,
"miscellaneous_operating_activities": 25200000,
"net_cash_change_period": 10200000,
"net_income": -10500000,
"operating_cash_flow_continuing_ops": 84300000,
"operating_cash_flow_total": 84300000,
"reporting_period_end": "2025-08-31",
"symbols": [
"SCHL"
],
"timeframe": "trailing_twelve_months",
"working_capital_changes_net": -38600000
},
{
"capital_expenditures_cash": -14900000,
"cik": "0000866729",
"depreciation_amortization_expense": 26500000,
"dividends": -5200000,
"financing_cash_flow_continuing_ops": 66800000,
"financing_cash_flow_total": 66800000,
"fiscal_quarter": 1,
"fiscal_year": 2026,
"foreign_exchange_impact": 200000,
"investing_cash_flow_continuing_ops": -14900000,
"investing_cash_flow_total": -14900000,
"long_term_debt_transactions": 71100000,
"miscellaneous_financing_activities": 900000,
"miscellaneous_investing_activities": 0,
"miscellaneous_operating_activities": 8700000,
"net_cash_change_period": -29700000,
"net_income": -71100000,
"operating_cash_flow_continuing_ops": -81800000,
"operating_cash_flow_total": -81800000,
"reporting_period_end": "2025-08-31",
"symbols": [
"SCHL"
],
"timeframe": "quarterly",
"working_capital_changes_net": -45900000
}
],
"status": "OK"
}
Company Fundamentals
Cash flow statements
Retrieve standardized cash flow statements with pagination and filters.
GET
/
v1
/
fundamentals
/
cash-flow-statement
Cash flow statements
{
"next_url": "https://api.finvera.news/stocks/v1/fundamentals/cash-flow-statement?cursor=AAECAAFkAAEBB_ucng==",
"request_id": "7f36362260ad425f9083f652303a4b69",
"results": [
{
"capital_expenditures_cash": -67200000,
"cik": "0000866729",
"depreciation_amortization_expense": 111800000,
"dividends": -22100000,
"financing_cash_flow_continuing_ops": -7800000,
"financing_cash_flow_total": -7800000,
"fiscal_quarter": 1,
"fiscal_year": 2026,
"foreign_exchange_impact": 700000,
"investing_cash_flow_continuing_ops": -67000000,
"investing_cash_flow_total": -67000000,
"long_term_debt_transactions": 77700000,
"miscellaneous_financing_activities": -63200000,
"miscellaneous_investing_activities": 100000,
"miscellaneous_operating_activities": 25200000,
"net_cash_change_period": 10200000,
"net_income": -10500000,
"operating_cash_flow_continuing_ops": 84300000,
"operating_cash_flow_total": 84300000,
"reporting_period_end": "2025-08-31",
"symbols": [
"SCHL"
],
"timeframe": "trailing_twelve_months",
"working_capital_changes_net": -38600000
},
{
"capital_expenditures_cash": -14900000,
"cik": "0000866729",
"depreciation_amortization_expense": 26500000,
"dividends": -5200000,
"financing_cash_flow_continuing_ops": 66800000,
"financing_cash_flow_total": 66800000,
"fiscal_quarter": 1,
"fiscal_year": 2026,
"foreign_exchange_impact": 200000,
"investing_cash_flow_continuing_ops": -14900000,
"investing_cash_flow_total": -14900000,
"long_term_debt_transactions": 71100000,
"miscellaneous_financing_activities": 900000,
"miscellaneous_investing_activities": 0,
"miscellaneous_operating_activities": 8700000,
"net_cash_change_period": -29700000,
"net_income": -71100000,
"operating_cash_flow_continuing_ops": -81800000,
"operating_cash_flow_total": -81800000,
"reporting_period_end": "2025-08-31",
"symbols": [
"SCHL"
],
"timeframe": "quarterly",
"working_capital_changes_net": -45900000
}
],
"status": "OK"
}
Authorizations
API key in query string
Query Parameters
Max number of results to return per page (1–1000)
Required range:
1 <= x <= 1000Sort by field and direction; format: field[.asc|.desc]. Default asc when direction omitted. Supported fields: period_end, fiscal_year, fiscal_quarter.
Pattern:
^[a-z_]+(\.(asc|desc))?$Central Index Key as a zero-padded string of up to 10 digits
Pattern:
^[0-9]{1,10}$Comma-separated list of symbols (e.g., AAPL,MSFT)
Pattern:
^[A-Z0-9.,-]{1,200}$Reporting period end date in yyyy-mm-dd
Fiscal year (four digits)
Required range:
1900 <= x <= 2100Fiscal quarter number
Available options:
1, 2, 3, 4 Reporting period type
Available options:
quarterly, annual, trailing_twelve_months ⌘I